## net.sf.statsvn.util
Interface ISvnVersionProcessor

All Known Implementing Classes:
  SvnKitVersion, SvnStartupUtils

    public interface ISvnVersionProcessor

Performs svn version queries.

Author:
  Administrator

Method Summary
`boolean` `checkDiffPerRevPossible(java.lang.String version)` Verifies that the given version supports one diff per revision (version>=1.4.0)
`java.lang.String` `checkSvnVersionSufficient()` Verifies that the current revision of SVN is SVN_MINIMUM_VERSION

Method Detail

### checkSvnVersionSufficient

    java.lang.String checkSvnVersionSufficient()
                                               throws SvnVersionMismatchException

  Verifies that the current revision of SVN is SVN_MINIMUM_VERSION

  Returns:
    the version string
  Throws:
    `SvnVersionMismatchException` - if SVN executable not found or version less than SVN_MINIMUM_VERSION

### checkDiffPerRevPossible

    boolean checkDiffPerRevPossible(java.lang.String version)

  Verifies that the given version supports one diff per revision (version>=1.4.0)

  Parameters:
    `version` - the current version
  Returns:
    true if one can do an svn diff per revision